# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: messages.proto

from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='messages.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x0emessages.proto\";\n\x0fMessageOdometry\x12\x0f\n\x05speed\x18\x01 \x01(\x01H\x00\x12\x0f\n\x05ticks\x18\x02 \x01(\x04H\x00\x42\x06\n\x04\x64\x61ta\"\x1c\n\x0cMessageNtrip\x12\x0c\n\x04\x64\x61ta\x18\x01 \x01(\x0c\"I\n\x0bMessageGnss\x12\x13\n\x0breciever_id\x18\x01 \x01(\r\x12\x0b\n\x03lat\x18\x02 \x01(\x01\x12\x0b\n\x03lng\x18\x03 \x01(\x01\x12\x0b\n\x03\x61lt\x18\x04 \x01(\x01\"\xad\x01\n\nMessageImu\x12\x0f\n\x07time_ms\x18\x01 \x01(\r\x12\x0f\n\x07\x61\x63\x63\x65l_x\x18\x02 \x01(\x05\x12\x0f\n\x07\x61\x63\x63\x65l_y\x18\x03 \x01(\x05\x12\x0f\n\x07\x61\x63\x63\x65l_z\x18\x04 \x01(\x05\x12\x0e\n\x06gyro_x\x18\x05 \x01(\x05\x12\x0e\n\x06gyro_y\x18\x06 \x01(\x05\x12\x0e\n\x06gyro_z\x18\x07 \x01(\x05\x12\r\n\x05mag_x\x18\x08 \x01(\x05\x12\r\n\x05mag_y\x18\t \x01(\x05\x12\r\n\x05mag_z\x18\n \x01(\x05\x62\x06proto3'
)




_MESSAGEODOMETRY = _descriptor.Descriptor(
  name='MessageOdometry',
  full_name='MessageOdometry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='speed', full_name='MessageOdometry.speed', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='ticks', full_name='MessageOdometry.ticks', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='data', full_name='MessageOdometry.data',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=18,
  serialized_end=77,
)


_MESSAGENTRIP = _descriptor.Descriptor(
  name='MessageNtrip',
  full_name='MessageNtrip',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='data', full_name='MessageNtrip.data', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=79,
  serialized_end=107,
)


_MESSAGEGNSS = _descriptor.Descriptor(
  name='MessageGnss',
  full_name='MessageGnss',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='reciever_id', full_name='MessageGnss.reciever_id', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='lat', full_name='MessageGnss.lat', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='lng', full_name='MessageGnss.lng', index=2,
      number=3, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='alt', full_name='MessageGnss.alt', index=3,
      number=4, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=109,
  serialized_end=182,
)


_MESSAGEIMU = _descriptor.Descriptor(
  name='MessageImu',
  full_name='MessageImu',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='time_ms', full_name='MessageImu.time_ms', index=0,
      number=1, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='accel_x', full_name='MessageImu.accel_x', index=1,
      number=2, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='accel_y', full_name='MessageImu.accel_y', index=2,
      number=3, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='accel_z', full_name='MessageImu.accel_z', index=3,
      number=4, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gyro_x', full_name='MessageImu.gyro_x', index=4,
      number=5, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gyro_y', full_name='MessageImu.gyro_y', index=5,
      number=6, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='gyro_z', full_name='MessageImu.gyro_z', index=6,
      number=7, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mag_x', full_name='MessageImu.mag_x', index=7,
      number=8, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mag_y', full_name='MessageImu.mag_y', index=8,
      number=9, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='mag_z', full_name='MessageImu.mag_z', index=9,
      number=10, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=185,
  serialized_end=358,
)

_MESSAGEODOMETRY.oneofs_by_name['data'].fields.append(
  _MESSAGEODOMETRY.fields_by_name['speed'])
_MESSAGEODOMETRY.fields_by_name['speed'].containing_oneof = _MESSAGEODOMETRY.oneofs_by_name['data']
_MESSAGEODOMETRY.oneofs_by_name['data'].fields.append(
  _MESSAGEODOMETRY.fields_by_name['ticks'])
_MESSAGEODOMETRY.fields_by_name['ticks'].containing_oneof = _MESSAGEODOMETRY.oneofs_by_name['data']
DESCRIPTOR.message_types_by_name['MessageOdometry'] = _MESSAGEODOMETRY
DESCRIPTOR.message_types_by_name['MessageNtrip'] = _MESSAGENTRIP
DESCRIPTOR.message_types_by_name['MessageGnss'] = _MESSAGEGNSS
DESCRIPTOR.message_types_by_name['MessageImu'] = _MESSAGEIMU
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

MessageOdometry = _reflection.GeneratedProtocolMessageType('MessageOdometry', (_message.Message,), {
  'DESCRIPTOR' : _MESSAGEODOMETRY,
  '__module__' : 'messages_pb2'
  # @@protoc_insertion_point(class_scope:MessageOdometry)
  })
_sym_db.RegisterMessage(MessageOdometry)

MessageNtrip = _reflection.GeneratedProtocolMessageType('MessageNtrip', (_message.Message,), {
  'DESCRIPTOR' : _MESSAGENTRIP,
  '__module__' : 'messages_pb2'
  # @@protoc_insertion_point(class_scope:MessageNtrip)
  })
_sym_db.RegisterMessage(MessageNtrip)

MessageGnss = _reflection.GeneratedProtocolMessageType('MessageGnss', (_message.Message,), {
  'DESCRIPTOR' : _MESSAGEGNSS,
  '__module__' : 'messages_pb2'
  # @@protoc_insertion_point(class_scope:MessageGnss)
  })
_sym_db.RegisterMessage(MessageGnss)

MessageImu = _reflection.GeneratedProtocolMessageType('MessageImu', (_message.Message,), {
  'DESCRIPTOR' : _MESSAGEIMU,
  '__module__' : 'messages_pb2'
  # @@protoc_insertion_point(class_scope:MessageImu)
  })
_sym_db.RegisterMessage(MessageImu)


# @@protoc_insertion_point(module_scope)
